class_name EditNoteItem
extends PanelContainer

signal deleted(note: Note)

@export var note: Note :
	set(new_note):
		if note != new_note:
			note = new_note
			if line_edit:
				line_edit.text = note.title

@onready var line_edit: LineEdit = %LineEdit


func _ready():
	line_edit.text = note.title


func _on_line_edit_text_changed(new_text: String):
	note.title = new_text


func _on_delete_button_pressed():
	deleted.emit(note)
