class_name SaveManager
extends Node

signal load_notes(notes: Array[Note])

var file_name: String = "user://save_notes.tres"


func save_data(notes: Array[Note]) -> void:
	var saved_data = SavedData.new()
	print(notes.size())
	saved_data.notes = notes
	ResourceSaver.save(saved_data, file_name)
	

func load_data() -> void:
	if ResourceLoader.exists(file_name):
		var saved_data = ResourceLoader.load(file_name) as SavedData
		print(saved_data.notes.size())
		load_notes.emit(saved_data.notes)
	
